# 项目规划

## 免费的心理学量表网站

免费的心理学量表网站为心理学从业人员、人力资源部门及及对心理健康有兴趣的普通公众提供了极大的便利。
国内市面上常见的心理学测量多为收费制（虽然量表资源大多是免费的）或者没有科学实证背景的娱乐测试。
我们提供了易于访问的专业心理学量表资源，保证了测试的科学性与科可比性。  
这不仅促进了心理学知识的普及和心理健康意识的提高，还支持了心理学教育和研究的开展，尤其是在资源有限的情况下。
此外，这些资源还帮助专业人士在不增加财务负担的情况下进行有效的心理评估和干预，从而在人力资源管理中提升员工满意度和工作效率，为组织带来更高的生产力。

<center>![Screenshot_20240506_141049.png](https://pic.mxr612.top/i/2024/05/06/6638748016a1b.png)</center>

目前已完成初期的网站开发和服务部署，开始了内容深度开发阶段，正在以每周一个量表的进度完成。

<center>![PA.png](https://pic.mxr612.top/i/2024/05/06/6638812d78659.png)  
内容生产流程示例</center>

## 带心理学知识库的大语言模型

大语言模型和心理学知识库的发展为心理学研究人员、专业人士、教育工作者或对心理学感兴趣的公众提供了强大的工具和资源。我们基于FastGPT搭建了私有的心理学知识库，通过整理文献和编撰知识点框架，现已积累数万条知识点。  
这些技术和知识库不仅提供了深入的语言理解能力，支持了心理学研究，还增强了跨学科研究的能力，提高了教育和咨询的效果。
通过促进科学发现，提高教育质量，增强人工智能的能力，以及提升心理健康服务，大语言模型和心理学知识库为社会带来了显著的价值，支持了个人成长和自我认识的提升。

<center>![](https://pic.mxr612.top/i/2024/05/06/6637ae7dd86b5.png)  
一个使用案例</center>

<center>![](https://pic.mxr612.top/i/2024/05/06/66386984ef3bc.png)  
知识库调用流程</center>

## [近期目标]基于语义分析的量表整合

曾经我们只能够根据单个值设计量表并验证信效度，一旦我们需要做一系列测试（譬如医疗或教育场景）就必须将多个量表拼接在一起。
但是冗长的量表会影响受试者状态，进而使得测量精度下降。
同时其他量表提供的信息亦有可能影响受试者对题目的理解。

传统的做法是选择一些短版量表，并在问题中间添加注意力检查题和测谎题。
然而这并不是一个好主意：短版量表往往意味着更低的信效度，而注意力检查和测谎只能用于剔除异常数据，并没有从根源上解决问题。

得益于Embedding技术，我们有机会对于每个量表问题进行语义分析并找出相似的题目。
通过合并不同量表中的相似题目，一个题目将能够对应多个量表，颠覆原有的单向对应关系，缩短量表长度的同时得以保留较高的信效度。
